Bug 495939 - Maximized window flickers when moving from a monitor to another
Maximized window flickers when moving from a monitor to another
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: metacity (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Owen Taylor
desktop-bugs@redhat.com
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 11:51 EDT by Olivier Fourdan
Modified: 2013-03-03 21:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:25:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (from upstream bug) (628 bytes, patch)
2009-04-15 11:51 EDT, Olivier Fourdan
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 358715 None None None Never

  None (edit)
Description Olivier Fourdan 2009-04-15 11:51:22 EDT
Created attachment 339706 [details]
Proposed patch (from upstream bug)

Description of problem:

Using a multi-monitor layout, moving a maximized window from one monitor to the other causes flickering.

Version-Release number of selected component (if applicable):

metacity-2.16.0-12

How reproducible:

100% reproducible

Steps to Reproduce:
1. run a xinerama/multi-monitor layout
2. maximize a window
3. make sure a panel is located on top of one monitor
4. grab the maximized window and move it to the other monitor
  
Actual results:

The window will appear alternatively one both monitors as the drag occurs.

Expected results:

The window moves to the other monitor but does not flicker.

Additional info:

This is upstream bug #358715 in b.g.o that affects metacity 2.16

Test package provided to customer, awaiting confirmation.
Comment 1 Owen Taylor 2009-11-17 13:57:54 EST
built in dist-5E-qu-candidate as metacity-2.16.0-15.el5
Comment 5 errata-xmlrpc 2010-03-30 04:25:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0245.html

Note You need to log in before you can comment on or make changes to this bug.